# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/fcs,fan53555.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Fairchild FAN53555 regulators

maintainers:
  - Heiko Stuebner <heiko@sntech.de>

allOf:
  - $ref: regulator.yaml#

properties:
  compatible:
    enum:
      - fcs,fan53555
      - fcs,fan53526
      - silergy,syr827
      - silergy,syr828
      - tcs,tcs4525

  reg:
    maxItems: 1

  fcs,suspend-voltage-selector:
    description: Declares which of the two available voltage selector
      registers should be used for the suspend voltage. The other one is used
      for the runtime voltage setting.
    $ref: /schemas/types.yaml#/definitions/uint32
    enum: [ 0, 1 ]

  vin-supply:
    description: Supply for the vin pin

  vsel-gpios:
    description: Voltage Select. When this pin is LOW, VOUT is set by the
      VSEL0 register. When this pin is HIGH, VOUT is set by the VSEL1 register.
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        regulator@40 {
            compatible = "fcs,fan53555";
            reg = <0x40>;
            regulator-name = "fan53555";
            regulator-min-microvolt = <1000000>;
            regulator-max-microvolt = <1800000>;
            vin-supply = <&parent_reg>;
            fcs,suspend-voltage-selector = <1>;
        };
    };
...
